Summary:        The GNU crypto library
Name:           libgcrypt
Version:        1.1.12
Release:        0.fdr.1.rh80
Epoch:          0
License:        LGPL
Group:          System Environment/Libraries
URL:            http://www.gnupg.org/
Source:      ftp://ftp.gnupg.org/gcrypt/alpha/libgcrypt/libgcrypt-1.1.12.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
libgcrypt is a general purpose cryptographic library based on the code
from GNU Privacy Guard.  It provides functions for all cryptograhic
building blocks: symmetric ciphers (AES, DES, Blowfish, CAST5,
Twofish, Arcfour), hash algorithms (MD5, RIPE-MD160, SHA-1,
TIGER-192), MACs (HMAC for all hash algorithms), public key algorithms
(RSA, ElGamal, DSA), large integer functions, random numbers and a lot
of supporting functions.

%package devel
Summary:        Development libraries and headers for the GNU crypto library
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Development libraries and headers for the GNU crypto library.

# -----------------------------------------------------------------------------

%prep
%setup -q

# -----------------------------------------------------------------------------

%build
%configure
make %{?_smp_mflags}
make check

# -----------------------------------------------------------------------------

%install
rm -rf %{buildroot}
%makeinstall
rm -f %{buildroot}{%{_infodir}/dir,%{_libdir}/*.la}

# -----------------------------------------------------------------------------

%clean
rm -rf %{buildroot}

# -----------------------------------------------------------------------------

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
install-info %{_infodir}/gcrypt.info.gz %{_infodir}/dir

%postun devel
if [ "$1" = "0" ]; then
  install-info --delete %{_infodir}/gcrypt.info.gz %{_infodir}/dir
fi

# -----------------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING* NEWS README* THANKS TODO VERSION
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_datadir}/aclocal/*
%{_infodir}/*

# -----------------------------------------------------------------------------

%changelog
* Sat Mar 22 2003 Ville Skytt <ville.skytta at iki.fi> - 0:1.1.12-0.fdr.1
- Update to current Fedora guidelines.
- Exclude %%{_libdir}/*.la.

* Tue Feb 12 2003 Warren Togami <warren@togami.com> 1.1.12.1.fedora.3
- rm $RPM_BUILD_ROOT/%{_infodir}/dir temporary workaround for info dir problem
- TODO: Should fix the docbook-to-man warning.

* Sat Feb  8 2003 Ville Skytt <ville.skytta at iki.fi> - 1.1.12-1.fedora.1
- First Fedora release.
